Commit d1a87ac5 authored by Romain Hunault's avatar Romain Hunault
Browse files

Merge branch 'q-lineage-sdk-update' into 'master'

Add support for Android Q based lineage-sdk

See merge request !49
parents 42be1ed1 51bd3a02
Pipeline #85170 passed with stage
in 9 minutes and 19 seconds
......@@ -57,10 +57,20 @@ android {
productFlavors {
apiNougat {
dimension "api"
minSdkVersion 24
compileSdkVersion 25
}
apiOreo {
dimension "api"
minSdkVersion 26
compileSdkVersion 28
targetSdkVersion 28
}
apiQ {
dimension "api"
minSdkVersion 29
compileSdkVersion 29
targetSdkVersion 29
}
}
......@@ -78,13 +88,21 @@ android {
lintOptions {
abortOnError false
}
sourceSets {
apiQ {
java.srcDirs = ['src/apiOreo/java/foundation/e']
res.srcDirs = ['src/apiOreo/res']
}
}
}
dependencies {
implementation 'me.relex:circleindicator:2.1.4'
apiNougatImplementation 'org.cyanogenmod:platform.sdk:6.0'
apiOreoImplementation files('libs/lineage-sdk.jar')
apiOreoImplementation files('libs/lineage-sdk-oreo.jar')
apiQImplementation files('libs/lineage-sdk-q.jar')
debugImplementation 'com.amitshekhar.android:debug-db:1.0.4'
......
......@@ -20,14 +20,14 @@ class BlurBackgroundView(context: Context, attrs: AttributeSet?) : View(context,
private val blurDrawableCallback by lazy {
object : Drawable.Callback {
override fun unscheduleDrawable(who: Drawable?, what: Runnable?) {
override fun unscheduleDrawable(who: Drawable, what: Runnable) {
}
override fun invalidateDrawable(who: Drawable?) {
override fun invalidateDrawable(who: Drawable) {
runOnMainThread { invalidate() }
}
override fun scheduleDrawable(who: Drawable?, what: Runnable?, `when`: Long) {
override fun scheduleDrawable(who: Drawable, what: Runnable, `when`: Long) {
}
}
}
......
......@@ -205,7 +205,7 @@ class PageIndicatorDots(context: Context?, attrs: AttributeSet?, defStyleAttr: I
} // Dot is leaving the left circle.
// dot is capturing the right circle.
private val activeRect: RectF?
private val activeRect: RectF
get() {
val startCircle: Float = mCurrentPosition
var delta = mCurrentPosition - startCircle
......
package foundation.e.blisslauncher.buildsrc
object Versions {
const val compile_sdk = 28
const val compile_sdk = 29
const val min_sdk = 24
const val target_sdk = 28
const val target_sdk = 29
const val android_gradle_plugin = "3.5.0"
const val dexcount_gradle_plugin = "0.8.6"
const val kotlin = "1.3.41"
......
Markdown is supported
0% or .
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment